KDateWidget class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDateWidget Class Reference

This widget can be used to display or allow user selection of a date. A pushbutton to display or allow user selection of a date. More...

`#include <kdatewidget.h>`

Inheritance diagram for KDateWidget:

[legend]
Collaboration diagram for KDateWidget:

[legend]
List of all members.

## Signals
void | changed (QDate)
| Emitted whenever the date of the widget is changed, either with setDate() or via user selection.
## Public Member Functions
| KDateWidget (QWidget *parent=0, const char *name=0)
| Constructs a date selection widget.
| KDateWidget (QDate date, QWidget *parent=0, const char *name=0)
| Constructs a date selection widget with the initial date set to `date`.
virtual | ~KDateWidget ()
| Destructs the date selection widget.
QDate | date () const
| Returns the currently selected date.
void | setDate (QDate date)
| Changes the selected date to `date`.
## Protected Slots
void | slotDateChanged ()
## Protected Member Functions
void | init ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This widget can be used to display or allow user selection of a date. A pushbutton to display or allow user selection of a date.

See also:
  KDatePicker

Version:
  Id
    kdatewidget.h,v 1.3 2002/03/04 00:51:47 lunakl Exp

Definition at line 33 of file kdatewidget.h.

## Constructor & Destructor Documentation

KDateWidget::KDateWidget | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructs a date selection widget. Definition at line 53 of file kdatewidget.cpp. References KStdAccel::name(), and setDate().

KDateWidget::KDateWidget | ( | QDate | date,
|  | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructs a date selection widget with the initial date set to `date`. Definition at line 60 of file kdatewidget.cpp. References KStdAccel::name(), and setDate().

KDateWidget::~KDateWidget | ( |  | ) | `[virtual]`

| Destructs the date selection widget. Definition at line 86 of file kdatewidget.cpp.

## Member Function Documentation

QDate KDateWidget::date | ( |  | ) | const

| Returns the currently selected date. Definition at line 109 of file kdatewidget.cpp.

void KDateWidget::setDate | ( | QDate | date | ) |

| Changes the selected date to `date`. Definition at line 90 of file kdatewidget.cpp. References changed(), QDate::day(), QDate::daysInMonth(), QDate::month(), and QDate::year(). Referenced by KDateWidget().

void KDateWidget::changed | ( | QDate |  | ) | `[signal]`

| Emitted whenever the date of the widget is changed, either with setDate() or via user selection. Referenced by setDate().

The documentation for this class was generated from the following files:

- kdatewidget.h
- kdatewidget.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:39 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001